/*=======================================
            Events Filters
========================================*/

#events-filters {
    margin-bottom: 50px;

    #filters {
        background-color: var(--red);
        border-radius: 0 0 30px 30px;
        padding: 50px 30px 30px;
        justify-content: space-between;
        align-items: center;
        margin-top: -24px;
        width: 100%;

        @media (max-width: 450px) {
            padding: 50px 20px 20px;
        }

        .filter-wrap {
            width: calc(100% - 480px);
            justify-content: space-between;
            align-items: center;
            margin: 0 -12px;

            @media (max-width: 1400px) {
                width: calc(100% - 260px);
                padding-right: 50px;
            }

            @media (max-width: 1000px) {
                width: calc(100% + 24px);
                padding-right: 0;
            }

            @media (max-width: 800px) {
                width: 100%;
                margin: 0;
            }

            &#past-filters {
                width: 100%;

                @media (max-width: 1400px) {
                    padding-right: 0;
                }

                .filter {
                    width: calc(100% / 3 - 24px);

                    @media (max-width: 1000px) {
                        width: calc(50% - 24px);
                        margin-bottom: 12px;
                    }

                    @media (max-width: 800px) {
                        width: calc(100%);
                        margin: 0 0 12px;
                    }

                }

            }

            .filter {
                width: calc(50% - 24px);
                margin: 0 12px 24px;

                @media (max-width: 1000px) {
                    width: calc(50% - 24px);
                    margin-bottom: 12px;
                }

                @media (max-width: 800px) {
                    width: calc(100%);
                    margin: 0 0 12px;
                }

                label {
                    display: block;
                    color: #fff;
                    font-size: 18px;
                    font-weight: 600;
                    line-height: 1;
                    margin-bottom: 7px;
                    padding-left: 2px;

                    @media (max-width: 450px) {
                        font-size: 16px;
                        ;
                    }

                }

                .nice-select {
                    width: 100%;
                }

            }

        }

        .reset {
            text-align: center;
            width: 100%;
            font-size: 16px;
            font-weight: 400;
            line-height: 1.3;
            text-decoration: underline;
            cursor: pointer;
            color: #fff;
            display: none;

            @media (max-width: 1200px) {
                margin-top: 15px;
                width: 100%;
            }

            @media (max-width: 1000px) {
                margin-top: 0;
            }

            @media (max-width: 450px) {
                padding: 10px 0;
            }

        }

    }

}



.calendar-wrap {
    position: relative;
    width: 480px;

    @media (max-width: 1400px) {
        width: 260px;
    }

    @media (max-width: 1000px) {
        width: 500px;
        margin: 20px auto 0;
    }

    @media (max-width: 800px) {
        width: 100%;
        margin: 20px auto 0;
    }

    .arrows {
        width: 260px;
        position: absolute;
        right: 0;
        top: 16px;
        z-index: 10;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 0 15px;

        @media (max-width: 1000px) {
            width: 100%;
            padding: 0 20px;
        }

        .arrow {
            width: 6px;
            cursor: pointer;

            &.prev {
                transform: rotate(180deg);
            }

            svg {

                path {
                    fill: var(--darkblue);
                }

            }

        }

    }

    .calendar {
        width: 260px;
        margin: 0 0 0 auto;
        background-color: #fff;
        border-radius: 15px;
        padding: 15px;
        box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.10), 0 2px 4px -2px rgba(0, 0, 0, 0.10);

        @media (max-width: 1000px) {
            width: 100%;
        }

        .calendar-month {
            color: var(--darkblue);

            .title {
                font-size: 12px;
                font-weight: 600;
                width: 100%;
                text-align: center;
                background-color: #fff;
                margin-bottom: 15px;
            }

            /* Days */

            .days {
                justify-content: space-between;
                align-items: center;
                margin-bottom: 10px;

                span {
                    width: calc(100% / 7);
                    font-size: 9px;
                    font-weight: 700;
                    line-height: 1;
                    text-align: center;
                }

            }

            /* Rows */

            table {
                width: 100%;

                tr {
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;

                    td {
                        text-align: center;
                        background-color: #fff;
                        border-radius: 7px;
                        border: 2px solid #fff;
                        width: 100%;
                        height: 34px;
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        font-size: 10px;
                        color: var(--darkblue);

                        @media (max-width: 1000px) {
                            height: 50px;
                            font-size: 12px;
                        }

                        @media (max-width: 450px) {
                            height: 40px;
                            font-size: 10px;
                        }

                        &.blank {
                            background-color: #f8f8f8;
                        }

                        &.has-event {
                            background-color: var(--red);
                            color: #fff;
                            cursor: pointer;
                        }

                    }

                }

            }

        }

    }

}






/*=======================================
            Events Grid
========================================*/

.events-grid {
    margin-bottom: 50px;

    .event {
        margin-bottom: 35px;

        .inner {
            justify-content: space-between;
            align-items: unset;
            position: relative;
        }

        .left {
            width: 180px;
            background-color: var(--red);
            color: #fff;
            border-radius: 30px 0 0 30px;
            padding: 50px 40px;
            position: relative;

            &.bg-orange {
                background-color: var(--orange);

                &:after {
                    background-color: var(--orange);
                }

            }

            @media (max-width: 800px) {
                width: 100%;
                border-radius: 30px 30px 0 0;
                padding: 30px;
            }

            .day {
                font-size: 18px;
                line-height: 1.5;
                font-weight: 400;
            }

            .date {
                font-size: 24px;
                line-height: 1.2;
                font-weight: 700;
            }

            &:after {
                content: "";
                background-color: var(--red);
                width: 30px;
                height: 100%;
                position: absolute;
                right: -30px;
                top: 0;
                z-index: -1;

                @media (max-width: 800px) {
                    width: 100%;
                    bottom: -30px;
                    right: 0;
                    height: 30px;
                    top: auto;
                }

            }

        }

        .main {
            width: calc(100% - 180px);
            background-color: #fff;
            border-radius: 30px;
            padding: 50px 115px 50px 50px;
            color: var(--darkblue);
            position: relative;

            @media (max-width: 800px) {
                width: 100%;
                padding: 30px 90px 30px 30px;
            }

            @media (max-width: 600px) {
                padding: 30px;
            }

            .title {
                font-size: 30px;
                font-weight: 600;
                line-height: 1.2;
                margin-bottom: 10px;

                @media (max-width: 800px) {
                    font-size: 26px;
                }

                @media (max-width: 450px) {
                    font-size: 24px;
                }

            }

            .desc {
                font-size: 18px;
                line-height: 1.5;
                font-weight: 400;
                margin-bottom: 30px;

                @media (max-width: 800px) {
                    font-size: 16px;
                }

            }

            .meta {

                .meta-item {
                    justify-content: space-between;
                    align-items: center;
                    padding: 8px 0;
                    border-top: 1px solid var(--darkblue);

                    &.event-passed {
                        border-bottom: 1px solid var(--darkblue);
                    }

                    .icon {
                        width: 20px;
                        height: auto;
                    }

                    .text {
                        width: calc(100% - 21px);
                        padding-left: 11px;
                        padding-top: 1px;
                        font-size: 18px;
                        line-height: 1.2;
                        font-weight: 400;

                        @media (max-width: 800px) {
                            font-size: 16px;
                        }

                    }

                }

            }

            .arrow {
                width: 35px;
                height: auto;
                position: absolute;
                bottom: 25px;
                right: 25px;

                @media (max-width: 600px) {
                    width: 30px;
                    position: static;
                    margin: 0 0 0 auto;
                }

                svg path {
                    fill: var(--darkblue);
                }

            }

        }

    }

    .loadmore {
        width: 100%;
        text-align: center;
        margin: 50px 0;

        @media (max-width: 450px) {
            margin-bottom: 20px;
        }

        .button {
            display: inline-block;
        }

    }

    .no-results {
        font-size: 30px;
        font-weight: 600;
        line-height: 1.2;
        text-align: center;
        display: none;
        color: #fff;
    }

}